UMASK(2)

NAME
umask - set file creation mask

SYNOPSIS
#include <sys/types.h>
#include <sys/stat.h>

mode_t umask(mode_t mask);

DESCRIPTION
umask sets the umask to mask & 0777.

The umask is used by open(2) to set initial file permissions on a newly-created file. Specifically, permissions in the umask are turned off from the mode argument to open(2) (so, for example, the common umask default value of 022 results in new files being created with permissions 0666 & ~022 = 0644 = rw-r--r-- in the usual case where the mode is specified as 0666).

RETURN VALUE
This system call always succeeds and the previous value of the mask is returned.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN, BSD 4.3

SEE ALSO
creat(2), open(2)